# Class MapBounds

java.lang.Object
com.codename1.maps.MapBounds

public final class MapBounds extends Object

An immutable axis-aligned latitude/longitude rectangle delimited by its south-west and north-east corners.

Replaces the legacy `BoundingBox` for the modern API, fixing the null bounding-box issues of the old point layers and always operating in WGS84 (`LatLng`) coordinates.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MapBounds(LatLng southWest, LatLng northEast)`
  Creates a bounding box from two opposing corners.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `contains(LatLng point)`
  Returns true if `point` lies inside this box (inclusive).
  `MapBounds`
  `extend(LatLng point)`
  Returns a new box that contains both this box and `point`.
  `static MapBounds`
  `fromCoordinates(List coords)`
  Builds the smallest bounding box that contains every coordinate in `coords`.
  `LatLng`
  `getCenter()`
  The geometric center of this box.
  `double`
  `getLatitudeSpan()`
  The span between the north and south edges in degrees.
  `double`
  `getLongitudeSpan()`
  The span between the east and west edges in degrees.
  `LatLng`
  `getNorthEast()`
  The north-east (maximum latitude/longitude) corner.
  `LatLng`
  `getSouthWest()`
  The south-west (minimum latitude/longitude) corner.
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MapBounds

    public MapBounds(LatLng southWest, LatLng northEast)
    Creates a bounding box from two opposing corners. The corners are normalized so that `southWest` always holds the minimum latitude and longitude and `northEast` the maximum.

- ## Method Details

  - ### fromCoordinates

    public static MapBounds fromCoordinates(List coords)
    Builds the smallest bounding box that contains every coordinate in `coords`. Returns `null` when the list is empty.

  - ### getSouthWest

    public LatLng getSouthWest()
    The south-west (minimum latitude/longitude) corner.

  - ### getNorthEast

    public LatLng getNorthEast()
    The north-east (maximum latitude/longitude) corner.

  - ### getCenter

    public LatLng getCenter()
    The geometric center of this box.

  - ### contains

    public boolean contains(LatLng point)
    Returns true if `point` lies inside this box (inclusive).

  - ### extend

    public MapBounds extend(LatLng point)
    Returns a new box that contains both this box and `point`.

  - ### getLatitudeSpan

    public double getLatitudeSpan()
    The span between the north and south edges in degrees.

  - ### getLongitudeSpan

    public double getLongitudeSpan()
    The span between the east and west edges in degrees.

  - ### toString

    public String toString()
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`